List Super Nodes
curl --request GET \
--url https://api-qa.interactly.ai/workflows/v1/super-nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/workflows/v1/super-nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/workflows/v1/super-nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"workflow_id": "<string>",
"num_input_fields": 123,
"workflow_version_number": 123,
"name": "<string>",
"description": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Super Nodes
List Super Nodes
List all super nodes published for this team.
Returns all active published super nodes across all workflow versions. Multiple entries for the same workflow ID may appear if different versions have been published.
GET
/
workflows
/
v1
/
super-nodes
List Super Nodes
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Response
Successful Response
MongoDB ObjectId of the encapsulated workflow
Number of input fields declared in the interface
Version number of the workflow snapshot this super node represents
Super node display name
Super node description
⌘I